Bug 158647 - audio/bebocd: request for marking it BROKEN and DEPRECATED
Summary: audio/bebocd: request for marking it BROKEN and DEPRECATED
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-04 22:00 UTC by R.Mahmatkhanov
Modified: 2014-01-08 12:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-07-04 22:00:19 UTC
Builds fine, but runtime is broken.
bebocd tries to find mapped cd-disc on hardcoded path - /dev/cdrom that we don't have by default.
If i create symlink /dev/cdrom -> /dev/cd0 then it seems playing something but i have no sound. The last release was in 2003, so this looks like abandonware and good candidate for removing.
Comment 1 Edwin Groothuis freebsd_committer 2011-07-04 22:00:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2011-07-12 06:26:14 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to pool at assignee request for the moment.
Comment 3 Tilman Keskinoz freebsd_committer 2011-07-14 15:44:21 UTC
Do you have an audio cable between your cdrom and your sounddevice?

This is the typical cause if the cd is playing, but there is no sound.
Comment 4 R.Mahmatkhanov 2011-07-14 19:00:36 UTC
Tilman Keskinöz wrote on 14.07.2011 18:44:
> Do you have an audio cable between your cdrom and your sounddevice?
>
> This is the typical cause if the cd is playing, but there is no sound.

Tilman, i just checked another audio-cd (Wagner - Parsifal :)) with vlc 
- it plays fine, but bebocd is not. I also built it with CDROM=/dev/cd0 
as post-patch message suggested but still have no sound, so i think that 
it broken.

I'm also just checked the Makefile and see that it actually use 
audio/libcdaudio for playing cd, so may be it has something to do with 
it instead. Can you confirm that sound is absent on your system?


-- 
Regards,
Ruslan
Comment 5 R.Mahmatkhanov 2011-07-14 19:20:31 UTC
Tilman Keskinöz wrote on 14.07.2011 18:44:
> Do you have an audio cable between your cdrom and your sounddevice?
>
> This is the typical cause if the cd is playing, but there is no sound.

It's seems like i have some problem with audio/libcdaudio. I just 
installed audio/dcd (it uses libcdaudio too) and i have no sound
with it too. I also tried to change files/patch-Makefile to make
it use /dev/cd0 instead of /dev/cdrom, but result is the same as
with audio/bebocd - it plays something ("progress bar" is changing), but 
there is no sound.

PS. audio/libcdaudio maintainer is cc'ed.

-- 
Regards,
Ruslan
Comment 6 Chris Rees freebsd_committer 2011-08-17 17:15:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->novel

I think you might be interested in this -- libcdaudio is blamed here!
Comment 7 Roman Bogorodskiy 2011-10-04 00:43:50 UTC
So are you sure you an audio cable between cdrom and audio card?

Unfortunately, I don't have the hardware to debug this issue and most
likely will not have it
for a couple of months (as I'm on the trip).

Roman Bogorodskiy
Comment 8 R.Mahmatkhanov 2011-10-04 05:27:40 UTC
Roman Bogorodskiy wrote on 04.10.2011 03:43:
> So are you sure you an audio cable between cdrom and audio card?

Yes, i'm sure. I'm on laptop and audio-cd's working in other player's 
(that is not audio/libcdaudio based). It may be pure libcdaudio issue. I 
aked on ports@ if this work for anyone, but to not avail.

>
> Unfortunately, I don't have the hardware to debug this issue and most
> likely will not have it
> for a couple of months (as I'm on the trip).
>
> Roman Bogorodskiy
>
>


-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 9 Mark Linimon freebsd_committer freebsd_triage 2013-03-10 02:47:49 UTC
State Changed
From-To: open->feedback

to submitter: is this still a problem?
Comment 10 dfilter service freebsd_committer 2014-01-08 12:10:27 UTC
Author: novel
Date: Wed Jan  8 12:10:20 2014
New Revision: 339110
URL: http://svnweb.freebsd.org/changeset/ports/339110

Log:
  Deprecate: abandoned by upstream, last activity about 10 years ago.
  
  PR:		158647
  Reported by:	rm

Modified:
  head/audio/bebocd/Makefile

Modified: head/audio/bebocd/Makefile
==============================================================================
--- head/audio/bebocd/Makefile	Wed Jan  8 11:58:14 2014	(r339109)
+++ head/audio/bebocd/Makefile	Wed Jan  8 12:10:20 2014	(r339110)
@@ -12,6 +12,9 @@ COMMENT=	GTK2 CD Player
 
 LIB_DEPENDS=	libcdaudio.so:${PORTSDIR}/audio/libcdaudio
 
+DEPRECATED=	abandoned by mainstream
+EXPIRATION_DATE=	2014-02-08
+
 USE_XORG=	x11
 USES=		gmake pathfix pkgconfig
 USE_GNOME=	gtk20
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 11 Roman Bogorodskiy freebsd_committer 2014-01-08 12:10:37 UTC
State Changed
From-To: feedback->closed

Marked port deprecated and to be deleted in a month. 

libcdaudio problems deserve a separate discussion if they're still 
relevant.